System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

To indicate that a custom stream upgrade provider should be used, implement a binding element that implements this abstract class on the custom binding.

This abstract class is implemented by:

Adds a custom stream upgrade provider to a custom binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class from an existing instance.

- Method
  4.0.0.0
  System.ServiceModel.Channels.StreamUpgradeProvider ``

  This method is called when opening the client channel factory and provides a custom implementation of the abstract class.

  The parameter enables reacting to other elements in the channel stack.

  Creates an instance on the client of the based on the channel context provided.

  An instance of the .

  The for the entire channel stack.
- Method
  4.0.0.0
  System.ServiceModel.Channels.StreamUpgradeProvider ``

  This method is called when opening the service and provides a custom implementation of the abstract class.

  The parameter enables reacting to other elements in the channel stack.

  Creates an instance on the server of the based on the channel context provided.

  An instance of the .

  The for the entire channel stack.